import com.urbancode.anthill3.AHPTool
import com.urbancode.anthill3.plugin.clearcasebasedynamic.ClearCaseHelper

//standard preamble stuff
def ahpTool = new AHPTool()
def props = ahpTool.getStepProperties()
ClearCaseHelper clearCaseHelper = new ClearCaseHelper(props)
if (clearCaseHelper.label == null) {
    throw new IllegalStateException("Must specify a label")
}

List<String> vobNameList = clearCaseHelper.getVobNameList()

//create the label type
vobNameList.each { vobName ->
    try {
        clearCaseHelper.makeLabelTypeCommand(vobName)
    }
    catch (Exception e) {
        //assume the label type exists
    }
}

//now apply the label
clearCaseHelper.applyLabels(vobNameList)
